gi-gdk4-4.0.10: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Objects.PadEvent

Contents

- Exported types
- Methods
  - getAxisValue
  - getButton
  - getGroupMode

Description

An event related to a pad-based device.

Synopsis

- newtype PadEvent = PadEvent (ManagedPtr PadEvent)
- class (BoxedPtr o, TypedObject o, IsDescendantOf PadEvent o) => IsPadEvent o
- toPadEvent :: (MonadIO m, IsPadEvent o) => o -> m PadEvent
- padEventGetAxisValue :: (HasCallStack, MonadIO m, IsPadEvent a) => a -> m (Word32, Double)
- padEventGetButton :: (HasCallStack, MonadIO m, IsPadEvent a) => a -> m Word32
- padEventGetGroupMode :: (HasCallStack, MonadIO m, IsPadEvent a) => a -> m (Word32, Word32)

# Exported types

newtype PadEvent Source #

Memory-managed wrapper type.

Constructors

PadEvent (ManagedPtr PadEvent) |

#### Instances

Instances details

Eq PadEvent Source # |
Instance details Defined in GI.Gdk.Objects.PadEvent Methods (==) :: PadEvent -> PadEvent -> Bool Source # (/=) :: PadEvent -> PadEvent -> Bool Source #
BoxedPtr PadEvent Source # |
Instance details Defined in GI.Gdk.Objects.PadEvent Methods boxedPtrCopy :: PadEvent -> IO PadEvent Source # boxedPtrFree :: PadEvent -> IO () Source #
ManagedPtrNewtype PadEvent Source # |
Instance details Defined in GI.Gdk.Objects.PadEvent Methods toManagedPtr :: PadEvent -> ManagedPtr PadEvent Source #
TypedObject PadEvent Source # |
Instance details Defined in GI.Gdk.Objects.PadEvent Methods glibType :: IO GType Source #
HasParentTypes PadEvent Source # |
Instance details Defined in GI.Gdk.Objects.PadEvent
type ParentTypes PadEvent Source # |
Instance details Defined in GI.Gdk.Objects.PadEvent type ParentTypes PadEvent = '[Event]

class (BoxedPtr o, TypedObject o, IsDescendantOf PadEvent o) => IsPadEvent o Source #

Type class for types which can be safely cast to `PadEvent`, for instance with `toPadEvent`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf PadEvent o) => IsPadEvent o Source # |
Instance details Defined in GI.Gdk.Objects.PadEvent

toPadEvent :: (MonadIO m, IsPadEvent o) => o -> m PadEvent Source #

Cast to `PadEvent`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

ref, triggersContextMenu, unref.

#### Getters

getAxes, getAxis, getAxisValue, getButton, getDevice, getDeviceTool, getDisplay, getEventSequence, getEventType, getGroupMode, getHistory, getModifierState, getPointerEmulated, getPosition, getSeat, getSurface, getTime.

#### Setters

None.

## getAxisValue

padEventGetAxisValue Source #

Arguments

:: (HasCallStack, MonadIO m, IsPadEvent a) |
=> a | `event`: a pad strip or ring event
-> m (Word32, Double) |

Extracts the information from a pad strip or ring event.

## getButton

padEventGetButton Source #

Arguments

:: (HasCallStack, MonadIO m, IsPadEvent a) |
=> a | `event`: a pad button event
-> m Word32 | Returns: the button of `event`

Extracts information about the pressed button from a pad event.

## getGroupMode

padEventGetGroupMode Source #

Arguments

:: (HasCallStack, MonadIO m, IsPadEvent a) |
=> a | `event`: a pad event
-> m (Word32, Word32) |

Extracts group and mode information from a pad event.